/* FILE: randomvectorfieldinit.h      -*-Mode: c++-*-
 *
 * Random vector field initializer, derived from Oxs_VectorFieldInit class.
 *
 */

#ifndef _OXS_RANDOMVECTORFIELDINIT
#define _OXS_RANDOMVECTORFIELDINIT

#include "oc.h"

#include "vectorfieldinit.h"

/* End includes */

class Oxs_RandomVectorFieldInit:public Oxs_VectorFieldInit {
private:
  REAL8m min_norm;
  REAL8m max_norm;
public:
  virtual const char* ClassName() const; // ClassName() is
  /// automatically generated by the OXS_EXT_REGISTER macro.
  virtual BOOL Init();
  Oxs_RandomVectorFieldInit
  (const char* name,     // Child instance id
   Oxs_Director* newdtr, // App director
   Tcl_Interp* safe_interp, // Safe interpreter
   const char* argstr);  // MIF input block parameters

  virtual ~Oxs_RandomVectorFieldInit() {}

  virtual void FillMeshValue(const Oxs_Mesh* mesh,
			     Oxs_MeshValue<ThreeVector>& array) const;
  virtual void
  FillMeshValueOrthogonal(const Oxs_Mesh* mesh,
			  const Oxs_MeshValue<ThreeVector>& orth_array,
			  Oxs_MeshValue<ThreeVector>& array) const;

};


#endif // _OXS_RANDOMVECTORFIELDINIT

